Package org.springframework.security.access.prepost

# Interface PrePostInvocationAttributeFactory

All Superinterfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`

All Known Implementing Classes:
  `ExpressionBasedAnnotationAttributeFactory`

@Deprecated public interface PrePostInvocationAttributeFactory extends org.springframework.aop.framework.AopInfrastructureBean
Deprecated.
Use delegation with `AuthorizationManager`

Since:
  3.0
See Also:
  - `AuthorizationManagerBeforeMethodInterceptor`
  - `AuthorizationManagerAfterMethodInterceptor`

## Method Summary

Modifier and Type
Method
Description
`PostInvocationAttribute`
`createPostInvocationAttribute(String postFilterAttribute, String postAuthorizeAttribute)`
Deprecated.
`PreInvocationAttribute`
`createPreInvocationAttribute(String preFilterAttribute, String filterObject, String preAuthorizeAttribute)`
Deprecated.

## Method Details

### createPreInvocationAttribute

PreInvocationAttribute createPreInvocationAttribute(String preFilterAttribute, String filterObject, String preAuthorizeAttribute)
Deprecated.

### createPostInvocationAttribute

PostInvocationAttribute createPostInvocationAttribute(String postFilterAttribute, String postAuthorizeAttribute)
Deprecated.